net.sf.jasperreports.components.barbecue

## Interface BarbecueComponent

- All Superinterfaces:
    java.lang.Cloneable, Component, ContextAwareComponent, JRCloneable
  All Known Implementing Classes:
    StandardBarbecueComponent

      public interface BarbecueComponent
      extends ContextAwareComponent, JRCloneable

  Version:
    $Id: BarbecueComponent.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getApplicationIdentifierExpression()`
    `java.lang.Integer` | `getBarHeight()`
    `java.lang.Integer` | `getBarWidth()`
    `JRExpression` | `getCodeExpression()`
    `java.lang.String` | `getEvaluationGroup()`
    `EvaluationTimeEnum` | `getEvaluationTimeValue()`
    `RotationEnum` | `getOwnRotation()`
    `RotationEnum` | `getRotation()`
    `java.lang.String` | `getType()`
    `boolean` | `isChecksumRequired()`
    `boolean` | `isDrawText()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.component.ContextAwareComponent

      `getContext, setContext`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

    - #### getApplicationIdentifierExpression

          JRExpression getApplicationIdentifierExpression()

    - #### getCodeExpression

          JRExpression getCodeExpression()

    - #### isDrawText

          boolean isDrawText()

    - #### isChecksumRequired

          boolean isChecksumRequired()

    - #### getBarWidth

          java.lang.Integer getBarWidth()

    - #### getBarHeight

          java.lang.Integer getBarHeight()

    - #### getEvaluationTimeValue

          EvaluationTimeEnum getEvaluationTimeValue()

    - #### getEvaluationGroup

          java.lang.String getEvaluationGroup()

    - #### getRotation

          RotationEnum getRotation()

    - #### getOwnRotation

          RotationEnum getOwnRotation()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com